Fix HeaderBar for missing animations
Open, Unbreak Now!Public

Description

Fix HeaderBar for missing animations when change happen.
The needed skills are mainly qml. It should be pretty easy to get started with fixing one missing animations after another one. There is no need to fix everything at once.

mgallien created this task.Jun 8 2017, 6:37 PM
mgallien moved this task from Backlog to In Progress on the Elisa board.Jun 14 2017, 9:16 PM
mgallien moved this task from In Progress to Backlog on the Elisa board.Aug 3 2017, 9:53 PM
mgallien removed mgallien as the assignee of this task.Nov 22 2017, 9:52 PM
mgallien moved this task from Backlog to Junior Jobs on the Elisa board.Jun 7 2018, 9:47 PM
mgallien updated the task description. (Show Details)Jun 22 2018, 8:18 PM
hantzv added a subscriber: hantzv.Jul 11 2018, 4:18 AM

Hi, can you elaborate a bit more on what needs to be done on this?

What needs to be fixed?

The wording also makes me wonder whether it's something in the code or housekeeping?

one missing animations after another one
no need to fix everything at once

mgallien raised the priority of this task from Normal to Unbreak Now!.Jul 11 2018, 5:30 AM

Hi, can you elaborate a bit more on what needs to be done on this?

What needs to be fixed?

The track title, album name, artist name and track rating changes without transitions when moving from one track to another one.
We might also want to have a transition for the "x tracks remaining" label.

The icon and background already have transitions from the old track to the new one.

The wording also makes me wonder whether it's something in the code or housekeeping?

one missing animations after another one
no need to fix everything at once

Alright!

What type of animation should be there? I'm thinking a sliding of the whole background followed by the information (title, album name, etc) fading in.

I will also claim this, but I don't promise anything before next weekend.

I will mostly be away from keyboard for the next three weeks. If you have questions do not hesitate to also ask in the mailing list. @januz and @ngraham can also help the design of a working solution.
Welcome to the Elisa project

hantzv claimed this task.Jul 11 2018, 6:07 AM

Thanks!

I have played a bit with QML, I expect to do okay. But if the team already have something in mind, I'll be glad to implement it.